Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
vietanh2108

Nhờ Viết Lisp Tạo Block Attribute Từ Text

Các bài được khuyến nghị

Thưa các bác, kiểu là em có sẵn 1 block CODE_COL vs 4 attribute

-Tên_cột

-Cao_đáy

-Cao_đỉnh

-Trừ_cao

và mặt bằng có text tên cột C1, C2... Cn. Em muốn chọn tất cả các text tên cọc và chạy LISP để biến tất cả các text tên cột đó thành block CODE_COL vs tên cột được đưa vào attribute Tên_cột... bác nào đi qua giúp dùm em với, em xin cám ơn trc!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Thưa các bác, kiểu là em có sẵn 1 block CODE_COL vs 4 attribute

-Tên_cột

-Cao_đáy

-Cao_đỉnh

-Trừ_cao

và mặt bằng có text tên cột C1, C2... Cn. Em muốn chọn tất cả các text tên cọc và chạy LISP để biến tất cả các text tên cột đó thành block CODE_COL vs tên cột được đưa vào attribute Tên_cột... bác nào đi qua giúp dùm em với, em xin cám ơn trc!

Nghịch tí nào. Lisp yêu cầu là đã có block CODE_COL trong bản vẽ nhé. ^_^

(defun c:test (/ osm ss n value ins)
  (setq osm (getvar 'osmode))
  (if (setq ss (ssget '((0 . "TEXT"))))
    (progn
      (setq n 0)
      (repeat (sslength ss)
	(setq value (cdr (assoc 1 (entget (ssname ss n)))))
	(setq ins (cdr (assoc 10 (entget (ssname ss n)))))
	(mapcar 'setvar (mapcar 'vl-list->string (list '(65 84 84 68 73 65) '(79 83 77 79 68 69))) '(0 0))
	(command "insert" "CODE_COL" ins 1 1 0 value "" "" "")
	(entdel (ssname ss n))
	(setq n (1+ n))
	)
      )
    (princ "\nBan da khong chon text.")
    );if
  (setvar 'osmode osm)
  (princ)
  )
  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Hì hì hì, Cám ơn bác Bee nhiều nhiều, em tìm nát google mà không có chút manh mốt nào, bác code giúp em vài dòng là xong ngay :D Xin đa tạ, đa tạ!!!!!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Thay đổi biến ATTDIA mà không trả lại cho người ta kìa bác ^^

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Thay đổi biến ATTDIA mà không trả lại cho người ta kìa bác ^^

He he nó không ảnh hưởng gì nên cứ để vậy thoai ^_^

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

ATTDIA + ATTREQ ảnh hưởng đến user mà?

 

ATTDIA tắt bảng cho nhập dòng lênh thôi mà bác. Em thấy có không trả lại biến nó vẫn hiện ở command promp nên ko ảnh hưởng nhiều. ^_^ Hì

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

ATTDIA tắt bảng cho nhập dòng lênh thôi mà bác. Em thấy có không trả lại biến nó vẫn hiện ở command promp nên ko ảnh hưởng nhiều. ^_^ Hì

Cả 2 biến kết hợp. Nó hoặc hiện prompt hoặc hiện dialog khi insert block_att. Tôi đã từng bị lỗi 1 lần về chúng rồi.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Cả 2 biến kết hợp. Nó hoặc hiện prompt hoặc hiện dialog khi insert block_att. Tôi đã từng bị lỗi 1 lần về chúng rồi.

Ah cái thằng ATTREQ set to 1 chứ để 0 nó không chèn value mà chèn defaults. Ok thanks bác DVH. ^_^ Ồ mà tên bác viết tắt như Đàm Vĩnh Hưng nhỉ ^_^ Ca sĩ nổi tiếng. :)

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Cám ơn các bác đã góp ý cho em học hỏi đc thêm nhiều điều, em có một mong muốn cải tiến nho nhỏ cái líp trên nữa.. giúp em viết thêm 2 dòng này với

- Lấy màu của Text đối tượng để đưa vào màu cho block vừa insert vào.

- Nếu ko có block "CODE_COL" trong bản vẽ thì báo về "Chua khoi tao block CODE_COL".

Em xin cám ơn!!!!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Cám ơn các bác đã góp ý cho em học hỏi đc thêm nhiều điều, em có một mong muốn cải tiến nho nhỏ cái líp trên nữa.. giúp em viết thêm 2 dòng này với

- Lấy màu của Text đối tượng để đưa vào màu cho block vừa insert vào.

- Nếu ko có block "CODE_COL" trong bản vẽ thì báo về "Chua khoi tao block CODE_COL".

Em xin cám ơn!!!!

1. Bạn nên post dwg ví dụ thì làm nhanh hơn rất nhiều.

2. Để thay đổi màu att có nhiều cách: command BATTMAN hoặc BEDIT xong dùng ATTSYNS là thay hết màu......

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

em cũng có vấn đề tương tự nhờ các bác giúp đỡ:

Vấn đề của em cũng tương tự với bác vietanh2108 đã hỏi, nhưng có thêm 2 vấn đề cần giúp đỡ thêm:

1. em muốn đưa Tọa độ X, Y của TEXT vào Block ATT. Tọa độ Block ATT trùng với tọa độ TEXT như của bác vietanh2108

2. em muốn đưa Pattern name của Hatch bao vào Block ATT.

 

em có gửi file kèm theo. Xin giúp đỡ. Xin cảm ơn.http://www.cadviet.com/upfiles/7/53074_drawing1.dwg

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×